summaryrefslogtreecommitdiffstats
path: root/btnx/btnx
diff options
context:
space:
mode:
Diffstat (limited to 'btnx/btnx')
-rwxr-xr-xbtnx/btnx52
1 files changed, 52 insertions, 0 deletions
diff --git a/btnx/btnx b/btnx/btnx
new file mode 100755
index 0000000..2c3534c
--- /dev/null
+++ b/btnx/btnx
@@ -0,0 +1,52 @@
+#! /bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/btnx`
+case "$1" in
+ start)
+ stat_busy "Starting btnx mouse daemon"
+ modprobe uinput
+ [ -z "$PID" ] && /usr/sbin/btnx -b -l > /dev/null
+ if [ $? -gt 0 ]
+ then
+ stat_fail
+ else
+ add_daemon btnx
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping btnx mouse daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm -f /var/run/btnx.pid
+ rm_daemon btnx
+ stat_done
+ fi
+ ;;
+ reload)
+ stat_busy "Reloading btnx mouse daemon configuration"
+ if [ "$PID" ]
+ then
+ kill -HUP $PID 2> /dev/null
+ stat_done
+ else
+ stat_fail
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart|reload}"
+ ;;
+esac
+
+exit 0